--- title: "Upgrade version" slug: "cdss-rollingupgrade" updated: 2026-09-17T09:51:28Z published: 2026-09-17T09:51:28Z canonical: "api.ncloud-docs.com/cdss-rollingupgrade" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Upgrade version Available in VPC Upgrade the Kafka version of a Cloud Data Streaming Service cluster using the rolling method. Before upgrading, make sure to [Check version upgrade availability](/docs/en/cdss-rollingupgradeprecheck). Caution Please note the following when upgrading. - Select the appropriate config group for your version. - If there are topics being replicated, you can proceed after replication is complete. - Upgrade may cause data loss or intermittent interruptions. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/cluster/rollingUpgrade (Korea Region) | | POST | /api/sgn-v1/cluster/rollingUpgrade (Singapore Region) | | POST | /api/jpn-v1/cluster/rollingUpgrade (Japan Region) | ### Request headers For information about the headers common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service request headers](/docs/en/analytics-clouddatastreamingservice#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceGroupInstanceNo` | Integer | Required | Cluster instance number - See [Get cluster list](/docs/en/analytics-clouddatastreamingservice-cluster-getclusterinfolist). | | `upgradeKafkaVersionCode` | Integer | Required | Kafka version code - See [Get version](/docs/en/analytics-clouddatastreamingservice-cluster-getkafkaversionlist). | | `upgradeConfigGroupNo` | Integer | Required | Config group number of the upgrade Kafka version - See [Get config group list](/docs/en/analytics-cdss-configgroup-getkafkaversionconfiggrouplist). - If there is no config group created with the applicable version, [Create config group](/docs/en/analytics-cdss-configgroup-createconfiggroup). | ### Request example The request example is as follows: ``` curl --location --request POST 'https://clouddatastreamingservice.apigw.ntruss.com/api/v1/cluster/rollingUpgrade' \ --header 'Content-Type: application/json' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --data '{ "serviceGroupInstanceNo": 1009*****, "upgradeKafkaVersionCode": 3713006, "upgradeConfigGroupNo": 3** }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Boolean | - | Response result - `true` \| `null` - `true`: succeeded - `null`: failed | | `requestId` | String | - | ID for the request - UUID format | ### Response status codes For information about the HTTP status codes common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service response status codes](/docs/en/analytics-clouddatastreamingservice#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": true, "requestId": "b07a66de-****-****-****-49e8ba031d2c" } ```